@import '_content/BlazorDateRangePicker/BlazorDateRangePicker.iitr8bszy4.bundle.scp.css';

/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-z7xqe3qnu0],
.components-reconnect-repeated-attempt-visible[b-z7xqe3qnu0],
.components-reconnect-failed-visible[b-z7xqe3qnu0],
.components-pause-visible[b-z7xqe3qnu0],
.components-resume-failed-visible[b-z7xqe3qnu0],
.components-rejoining-animation[b-z7xqe3qnu0] {
   display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-retrying[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-failed[b-z7xqe3qnu0],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-z7xqe3qnu0] {
   display: block;
}


#components-reconnect-modal[b-z7xqe3qnu0] {
   background-color: white;
   width: 20rem;
   margin: 20vh auto;
   padding: 2rem;
   border: 0;
   border-radius: 0.5rem;
   box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
   opacity: 0;
   transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
   animation: components-reconnect-modal-fadeOutOpacity-b-z7xqe3qnu0 0.5s both;

   &[open] {
      animation: components-reconnect-modal-slideUp-b-z7xqe3qnu0 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-z7xqe3qnu0 0.5s ease-in-out 0.3s;
      animation-fill-mode: both;
   }
}

   #components-reconnect-modal[b-z7xqe3qnu0]::backdrop {
      background-color: rgba(0, 0, 0, 0.4);
      animation: components-reconnect-modal-fadeInOpacity-b-z7xqe3qnu0 0.5s ease-in-out;
      opacity: 1;
   }

@keyframes components-reconnect-modal-slideUp-b-z7xqe3qnu0 {
   0% {
      transform: translateY(30px) scale(0.95);
   }

   100% {
      transform: translateY(0);
   }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-z7xqe3qnu0 {
   0% {
      opacity: 0;
   }

   100% {
      opacity: 1;
   }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-z7xqe3qnu0 {
   0% {
      opacity: 1;
   }

   100% {
      opacity: 0;
   }
}

.components-reconnect-container[b-z7xqe3qnu0] {
   display: flex;
   flex-direction: column;
   align-items: center;
   gap: 1rem;
}

#components-reconnect-modal p[b-z7xqe3qnu0] {
   margin: 0;
   text-align: center;
}

#components-reconnect-modal button[b-z7xqe3qnu0] {
   border: 0;
   background-color: #fe6b00;
   color: white;
   padding: 4px 24px;
   border-radius: 4px;
}

   #components-reconnect-modal button:hover[b-z7xqe3qnu0] {
      background-color: #fb4f00;
   }

   #components-reconnect-modal button:active[b-z7xqe3qnu0] {
      background-color: #fb4f00;
   }

.components-rejoining-animation[b-z7xqe3qnu0] {
   position: relative;
   width: 80px;
   height: 80px;
}

   .components-rejoining-animation div[b-z7xqe3qnu0] {
      position: absolute;
      border: 3px solid #97d700;
      opacity: 1;
      border-radius: 50%;
      animation: components-rejoining-animation-b-z7xqe3qnu0 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
   }

      .components-rejoining-animation div:nth-child(2)[b-z7xqe3qnu0] {
         animation-delay: -0.5s;
      }

@keyframes components-rejoining-animation-b-z7xqe3qnu0 {
   0% {
      top: 40px;
      left: 40px;
      width: 0;
      height: 0;
      opacity: 0;
   }

   4.9% {
      top: 40px;
      left: 40px;
      width: 0;
      height: 0;
      opacity: 0;
   }

   5% {
      top: 40px;
      left: 40px;
      width: 0;
      height: 0;
      opacity: 1;
   }

   100% {
      top: 0px;
      left: 0px;
      width: 80px;
      height: 80px;
      opacity: 0;
   }
}
/* /Components/Pages/Suppliers/ShipmentNotificationPage.razor.rz.scp.css */

/* Shipment Notification Page */

.shipmentNotificationPage[b-hu8n0o7a8g] {
   font-size: 14px;
   padding: 30px;
}

   .shipmentNotificationPage .viewOrderHeader[b-hu8n0o7a8g] {
   }

   .shipmentNotificationPage .shipmentConfirmation[b-hu8n0o7a8g] {
   }

   .shipmentNotificationPage .inputLabel[b-hu8n0o7a8g] {
   }

   .shipmentNotificationPage .inputControl[b-hu8n0o7a8g] {
   }

      .shipmentNotificationPage .inputControl .trackingReference[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .inputControl .expectedDelivery[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .inputControl .shipmentNotes[b-hu8n0o7a8g] {
         height: 100px;
         width: 100%;
      }

   .shipmentNotificationPage .shipmentHeaderDetails[b-hu8n0o7a8g] {
      margin-bottom: 30px;
      margin-top: 30px;
   }

   .shipmentNotificationPage .orderProductLayout[b-hu8n0o7a8g] {
      width: 100%;
   }

   .shipmentNotificationPage .orderProductLayout[b-hu8n0o7a8g] {
      width: 100%;
   }

      .shipmentNotificationPage .orderProductLayout .heading[b-hu8n0o7a8g] {
         font-weight: bold;
         text-align: center;
      }

      .shipmentNotificationPage .orderProductLayout .productHeading[b-hu8n0o7a8g] {
         text-align: left;
      }

      .shipmentNotificationPage .orderProductLayout .quantityOrderHeading[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .orderProductLayout .quantityOutstandingHeading[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .orderProductLayout .quantityShippedHeading[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .orderProductLayout .expectedDispatchHeading[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .orderProductLayout .productDetailsColumn[b-hu8n0o7a8g] {
      }

         .shipmentNotificationPage .orderProductLayout .productDetailsColumn .productName[b-hu8n0o7a8g] {
         }

         .shipmentNotificationPage .orderProductLayout .productDetailsColumn .supplierProductCode[b-hu8n0o7a8g] {
         }

      .shipmentNotificationPage .orderProductLayout .thumbnailColumn[b-hu8n0o7a8g] {
      }

      .shipmentNotificationPage .orderProductLayout .quantityOrderedColumn[b-hu8n0o7a8g] {
         text-align: center;
      }

         .shipmentNotificationPage .orderProductLayout .quantityOrderedColumn .quantityValue[b-hu8n0o7a8g] {
            border: 1px solid #d9d9d6;
            display: inline-block;
            padding: 2px;
            width: 80px;
         }

      .shipmentNotificationPage .orderProductLayout .quantityOutstandingColumn[b-hu8n0o7a8g] {
         text-align: center;
      }

         .shipmentNotificationPage .orderProductLayout .quantityOutstandingColumn .quantityValue[b-hu8n0o7a8g] {
            border: 1px solid #d9d9d6;
            display: inline-block;
            padding: 2px;
            width: 80px;
         }

      .shipmentNotificationPage .orderProductLayout .quantityShippedColumn[b-hu8n0o7a8g] {
         text-align: center;
      }

         .shipmentNotificationPage .orderProductLayout .quantityShippedColumn .inputControl[b-hu8n0o7a8g] {
            display: inline-block;
         }

            .shipmentNotificationPage .orderProductLayout .quantityShippedColumn .inputControl .quantityShipped[b-hu8n0o7a8g] {
               text-align: center;
            }

      .shipmentNotificationPage .orderProductLayout .expectedDispatchColumn[b-hu8n0o7a8g] {
         text-align: center;
      }

         .shipmentNotificationPage .orderProductLayout .expectedDispatchColumn .inputControl[b-hu8n0o7a8g] {
         }

            .shipmentNotificationPage .orderProductLayout .expectedDispatchColumn .inputControl .expectedDispatchDate[b-hu8n0o7a8g] {
            }

   .shipmentNotificationPage .shipmentOptions[b-hu8n0o7a8g] {
      margin-top: 30px;
   }

      .shipmentNotificationPage .shipmentOptions .shipOrderInFull[b-hu8n0o7a8g] {
         margin-right: 8px;
      }

      .shipmentNotificationPage .shipmentOptions .partShipOrder[b-hu8n0o7a8g] {
      }

   .shipmentNotificationPage .warningMessage[b-hu8n0o7a8g] {
   }

   .shipmentNotificationPage .orderNotFound[b-hu8n0o7a8g] {
   }
